#!/bin/bash

# Copyright (C) 2004-2010 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana - C3SL/UFPR
#
# This file is part of le-edubar-fixed-position
#
# le-edubar-fixed-position is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
# USA.

PKG_AVAILABLE=$(apt-cache search '^mec-' | wc -l);
PKG_INSTALLED=$(dpkg --get-selections | grep '^mec-' | wc -l);
SCREEN_WIDTH=$(xrandr | grep '*' | awk '{print $1}' | cut -d"x" -f1)

if (( SCREEN_WIDTH < 1024 )); then
    ICON_SIZE=96
else
    ICON_SIZE=128
fi

if ((PKG_AVAILABLE == PKG_INSTALLED)); then
        EDUBAR_WIDTH=$((ICON_SIZE * 5 + 10));
else
        EDUBAR_WIDTH=$((ICON_SIZE * 6 + 10));
fi

EDUBAR_HEIGHT=$ICON_SIZE;

CONFIG="$HOME/.kde/share/config/plasma-desktop-appletsrc"

POS_X=$(((SCREEN_WIDTH/2) - (EDUBAR_WIDTH/2)));
POS_Y=0;

PLUGIN=$(grep "^plugin=edubar$" $CONFIG)

if [ -z "$PLUGIN" ]; then
    ID=$(egrep "^\[Containments\]\[[0-9]*\]\[Applets\]\[[0-9]*\]$" $CONFIG | \
    cut -d "[" -f5 | sed 's/\]//g' | sort -g | tail -n1)
    ID=$((ID+1))
    kwriteconfig --file $CONFIG --group Containments --group 1 --group Applets \
                 --group $ID \
                 --key geometry "$POS_X,$POS_Y,$EDUBAR_WIDTH,$EDUBAR_HEIGHT"
    kwriteconfig --file $CONFIG --group Containments --group 1 --group Applets \
                 --group $ID --key immutability "1"
    kwriteconfig --file $CONFIG --group Containments --group 1 --group Applets \
                 --group $ID --key plugin "edubar"
    kwriteconfig --file $CONFIG --group Containments --group 1 --group Applets \
                 --group $ID --key zvalue "0"
fi

chown -R --reference="$HOME" "$HOME/.kde"
